timeinsts
Prev | Orchestra Opcodes and Operators | Next

## timeinsts

timeinsts — Read absolute time in seconds.

## Description

Read absolute time, in seconds, since the start of an instance of an instrument.

## Syntax

    kres timeinsts

## Performance

Time in seconds is available with timeinsts. This would return 0.5 after half a second.

timeinsts produces a k-rate variable for output. There are no input parameters.

timeinsts is similar to times except it returns the time since the start of this instance of the instrument.

## Examples

Here is an example of the timeinsts opcode. It uses the file timeinsts.csd.

Example 508. Example of the timeinsts opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o timeinsts.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Print out the value from timeinsts every half-second.
      k1 timeinsts
      printks "k1 = %f seconds\\n", 0.5, k1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for two seconds.
    i 1 0 2
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    k1 = 0.000227 seconds
    k1 = 0.500000 seconds
    k1 = 1.000000 seconds
    k1 = 1.500000 seconds
    k1 = 2.000000 seconds

## See Also

timeinstk, timek, times

## Credits

Author: Robin Whittle
Australia
May 1997

Example written by Kevin Conder.

Prev | Up | Next
timeinstk | Home | timek